CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2007-4767

Perl-Compatible Regular Expression (PCRE) library before 7.3 does not properly compute the length of (1) a \p sequence, (2) a \P sequence, or (3) a \P{x} sequence, which allows context-dependent attackers to cause a denial of service (infinite loop or crash) or execute arbitrary code.
Publish Date : 2007-11-07 Last Update Date : 2017-07-28
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceExecute Code
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
DSA-1399-1 pcre3 - arbitrary code execution oval:org.mitre.oval:def:20218 unix
DSA-1570 kazehakase -- various oval:org.mitre.oval:def:8010 unix
DSA-1570-1 kazehakase - execution of arbitrary code oval:org.mitre.oval:def:18752 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2007-4767

# Product Type Vendor Product Version Update Edition Language
1 Application Pcre Pcre 6.0 Version Details Vulnerabilities
2 Application Pcre Pcre 6.1 Version Details Vulnerabilities
3 Application Pcre Pcre 7.3 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Pcre Pcre 3

- References For CVE-2007-4767

http://www.vupen.com/english/advisories/2008/0924/references
VUPEN ADV-2008-0924
https://exchange.xforce.ibmcloud.com/vulnerabilities/38277
XF pcre-p-sequence-bo(38277)
https://issues.rpath.com/browse/RPL-1738 CONFIRM
https://www.redhat.com/archives/fedora-package-announce/2008-March/msg00181.html
FEDORA FEDORA-2008-1842
http://www.vupen.com/english/advisories/2007/4238
VUPEN ADV-2007-4238
http://www.ubuntulinux.org/support/documentation/usn/usn-547-1
UBUNTU USN-547-1
http://www.vupen.com/english/advisories/2007/3790
VUPEN ADV-2007-3790
http://www.vupen.com/english/advisories/2007/3725
VUPEN ADV-2007-3725
http://www.us-cert.gov/cas/techalerts/TA07-352A.html
CERT TA07-352A
http://www.securityfocus.com/bid/26346
BID 26346 PCRE Regular Expression Library Multiple Security Vulnerabilities Release Date:2008-07-16
http://www.securityfocus.com/archive/1/archive/1/483579/100/0/threaded
BUGTRAQ 20071112 FLEA-2007-0064-1 pcre
http://www.pcre.org/changelog.txt CONFIRM
http://www.securityfocus.com/archive/1/archive/1/483357/100/0/threaded
BUGTRAQ 20071106 rPSA-2007-0231-1 pcre
http://www.debian.org/security/2007/dsa-1399
DEBIAN DSA-1399
http://www.debian.org/security/2008/dsa-1570
DEBIAN DSA-1570
http://www.mandriva.com/security/advisories?name=MDKSA-2007:211
MANDRIVA MDKSA-2007:211
http://www.novell.com/linux/security/advisories/2007_62_pcre.html
SUSE SUSE-SA:2007:062
http://security.gentoo.org/glsa/glsa-200805-11.xml
GENTOO GLSA-200805-11
http://security.gentoo.org/glsa/glsa-200801-19.xml
GENTOO GLSA-200801-19
http://security.gentoo.org/glsa/glsa-200801-02.xml
GENTOO GLSA-200801-02
http://security.gentoo.org/glsa/glsa-200801-18.xml
GENTOO GLSA-200801-18
http://security.gentoo.org/glsa/glsa-200711-30.xml
GENTOO GLSA-200711-30
http://mail.gnome.org/archives/gtk-devel-list/2007-November/msg00022.html
MLIST [gtk-devel-list] 20071107 GLib 2.14.3
http://lists.apple.com/archives/security-announce/2008/Mar/msg00001.html
APPLE APPLE-SA-2008-03-18
http://lists.apple.com/archives/security-announce/2007/Dec/msg00002.html
APPLE APPLE-SA-2007-12-17
http://docs.info.apple.com/article.html?artnum=307562 CONFIRM
http://docs.info.apple.com/article.html?artnum=307179 CONFIRM
http://bugs.gentoo.org/show_bug.cgi?id=198976

- Metasploit Modules Related To CVE-2007-4767

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.